\documentclass[a4paper,10pt]{article}
\usepackage{latexsym}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{bm}
\usepackage{graphicx}
\usepackage{wrapfig}
\usepackage{fancybox}
\pagestyle{plain}

\begin{document}

{\it Characteristics} of {\it the} $M/M/1/N$ queue {\it controlled} b{\it y AQM algorithms}

935

One can construct a useful algorithm for computing probabilities $\mathrm{P}\{\gamma\geq k|i\}$ for successive $k$. Let us note that the formula of total probability gives
\begin{center}
$\mathrm{P}\{\gamma\geq k|i\}=d_{i}[\alpha \mathrm{P}\{\gamma\geq k-1|i\}+(1-\alpha)\mathrm{P}\{\gamma\geq k-1|i-1\}]$,   (17)
\end{center}
where $i=1$, 2, . . . , $N$, and besides
\begin{center}
$\mathrm{P}\{\gamma\geq k|0\}=d_{0}^{k}$,   (18)
\end{center}
where $d_{0}^{k}$ denotes the probability that at least $k$ successive losses occur on condition that the series of losses begins when the system is empty.

Of course now

$\displaystyle \mathrm{P}\{\gamma=k\}=\sum_{i=0}^{N}\hat{\pi}_{i}\mathrm{P}\{\gamma=k|i\}=\sum_{i=0}^{N}\hat{\pi}_{i}(\mathrm{P}\{\gamma\geq k|i\}-\mathrm{P}\{\gamma\geq k+1|i\})$ . (19)

4.2. Group arrivals

Let us consider the system with dropping of packets and group arrivals. Let $\Gamma^{W}$ and $\Gamma^{P}$ denote numbers of consecutively dropped batches in the system with WBAS and PBAS strategy respectively. Introducing conditional probabilities $\mathrm{P}\{\Gamma^{W}\ \geq k|i\}$ and $\mathrm{P}\{\Gamma^{P}\ \geq k|i\}$ we obtain
\begin{center}
$\displaystyle \mathrm{P}\{\Gamma^{W}\ \geq 1|i\}=\sum_{k=1}^{N-i}p_{k}d_{i}^{k}+\sum_{k=N-i+1}^{\mathrm{X}}p_{k}, i=0$, 1, . . . , $N$.   (20)
\end{center}
Indeed, if the size of the arriving batch exceeds the number of free places in the system at the pre-arrival epoch, then the batch is rejected as a whole ``by definition'' (the second summand in (20)). Otherwise, particular packets can be lost by using a drop function (the first summand in (20)).

Next we get for $i=1$, 2, . . . , $N$
$$
\mathrm{P}\{\Gamma^{W}\geq n|i\}=\ (\sum_{k=1}^{N-i}p_{k}d_{i}^{k}+\sum_{k=N-i+1}^{\mathrm{X}}p_{k})
$$
\begin{center}
$\times\ (\alpha \mathrm{P}\{\Gamma^{W}\geq n-1|i\}+(1-\alpha)\mathrm{P}\{\Gamma^{W}\geq n-1|i-1\})$   (21)
\end{center}
and
\begin{center}
$\displaystyle \mathrm{P}\{\Gamma^{W}\ \geq n|0\}=\ (\sum_{k=1}^{N}p_{k}d_{i}^{k}+\sum_{k=N+1}^{\mathrm{X}}p_{k})^{n}$,   (22)
\end{center}
where $ n\geq 1.$

In the PBAS strategy the arriving batch is rejected as a whole if all packets in this batch are dropped, thus for the PBAS model we obtain
\begin{center}
$\displaystyle \mathrm{P}\{\Gamma^{P}\geq 1|i\}=\sum_{k=1}^{\infty}p_{k}d_{i}^{k}, i=0$, 1, . . . , $N$.   (23)
\end{center}\end{document}
